<template>
    <div>
        <v-row justify="space-between" no-gutters>
            <v-col align-self="center">
                <v-label>{{opcion1}}</v-label>
            </v-col>
            <v-col align-self="center">
                <v-switch
                :value="val"
                v-model="value"
                label=""
                @change="change"
                :readonly="readonly"
                >
                </v-switch>
            </v-col>
            <v-col align-self="center">
                <v-label>{{opcion2}}</v-label>
            </v-col>
        </v-row>
    </div>
</template>
<script>
export default {
    props:{
        opcion1: String,
        opcion2: String,
        val: false,
        readonly : {
            default: false,
            type: Boolean
        }
    },
    data(){
        return {
            value:false,
        }
    },
    methods:{
        change(event){
           this.value= this.value || false;
            this.$emit('changeSelect',this.value );
        },
        getValue(){
            return this.value
        }
    },
    mounted(){
        this.value = this.val
    }
}
</script>
<style scoped lang="css">

</style>